net.dontdrinkandroot.wicket.choicerenderer

## Class ShortMonthChoiceRenderer

- java.lang.Object
- - net.dontdrinkandroot.wicket.choicerenderer.ShortMonthChoiceRenderer

All Implemented Interfaces:
  Serializable, org.apache.wicket.markup.html.form.IChoiceRenderer<Integer>, org.apache.wicket.util.io.IClusterable

    public class ShortMonthChoiceRenderer
    extends Object
    implements org.apache.wicket.markup.html.form.IChoiceRenderer<Integer>

Choice renderer that converts Integer values to the corresponding shortMonths String, based on the given locale.

See Also:
  `DateFormatSymbols.getShortMonths()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ShortMonthChoiceRenderer(Locale locale)`

### Method Summary

Methods
`Object` `getDisplayValue(Integer object)`
`String` `getIdValue(Integer object, int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShortMonthChoiceRenderer

    public ShortMonthChoiceRenderer(Locale locale)

### Method Detail

#### getDisplayValue

    public Object getDisplayValue(Integer object)

Specified by:
  `getDisplayValue` in interface `org.apache.wicket.markup.html.form.IChoiceRenderer<Integer>`

#### getIdValue

    public String getIdValue(Integer object,
                    int index)

Specified by:
  `getIdValue` in interface `org.apache.wicket.markup.html.form.IChoiceRenderer<Integer>`